
/* 
 * Saibamaze, 2/16/2022
 */

#include <Wire.h>
#include <Servo.h>

//LEDS
#define LED1 3 // The pin the LED is connected to
#define LED2 4 
#define LED3 5 

//SERVOS
Servo myservo;

//COIN ACCEPTOR
const int coinPin = A0;
int coins = 0;
int signalValue = 0;


void setup() {
  Serial.begin(9600);

  //LEDS
  pinMode(LED1, OUTPUT); // Declare the LED as an output
  pinMode(LED2, OUTPUT);
  pinMode(LED3, OUTPUT);
  
  //COIN ACCEPTOR
  delay(1000);

  //SERVO
  myservo.attach(9);

   for (int pos = 0; pos <= 45; pos += 1) { // goes from 0 degrees to 180 degrees
      myservo.write(pos);              // tell servo to go to position in variable 'pos'
      delay(10);                       // waits 10ms for the servo to reach the position
    }
}

void loop() {

  signalValue = analogRead(coinPin);

  if (signalValue > 100){
    //Serial.print(signalValue);
    //Serial.print(" ");
    delay(100);
    coins++;
  }
 
  if (coins == 3){ //if 75 cents was inserted, rotate the servo 180 degrees and back to dispense cig
    digitalWrite(LED1, HIGH);
    digitalWrite(LED2, HIGH);
    digitalWrite(LED3, HIGH);

    for (int pos = 45; pos >= 0; pos -= 1) { // goes from 180 degrees to 0 degrees
      myservo.write(pos);              // tell servo to go to position in variable 'pos'
      delay(10);                       // waits 15ms for the servo to reach the position
    }
    
    for (int pos = 0; pos <= 45; pos += 1) { // goes from 0 degrees to 180 degrees
      myservo.write(pos);              // tell servo to go to position in variable 'pos'
      delay(10);                       // waits 15ms for the servo to reach the position
    }
    coins = 0;
  } else if (coins == 2){
    digitalWrite(LED1, HIGH);
    digitalWrite(LED2, HIGH);
  } else if (coins == 1){
    digitalWrite(LED1, HIGH); // Turn the LED on
  } else {
    digitalWrite(LED1, LOW); // Turn the LED off
    digitalWrite(LED2, LOW);
    digitalWrite(LED3, LOW);
  }

}
